Module javafx.base
Package javafx.beans.value

## Interface WritableNumberValue

- All Superinterfaces:
    `WritableValue<Number>`
  All Known Subinterfaces:
    `WritableDoubleValue`, `WritableFloatValue`, `WritableIntegerValue`, `WritableLongValue`
  All Known Implementing Classes:
    `DoubleProperty`, `DoublePropertyBase`, `FloatProperty`, `FloatPropertyBase`, `IntegerProperty`, `IntegerPropertyBase`, `JavaBeanDoubleProperty`, `JavaBeanFloatProperty`, `JavaBeanIntegerProperty`, `JavaBeanLongProperty`, `LongProperty`, `LongPropertyBase`, `ReadOnlyDoubleWrapper`, `ReadOnlyFloatWrapper`, `ReadOnlyIntegerWrapper`, `ReadOnlyLongWrapper`, `SimpleDoubleProperty`, `SimpleFloatProperty`, `SimpleIntegerProperty`, `SimpleLongProperty`, `SimpleStyleableDoubleProperty`, `SimpleStyleableFloatProperty`, `SimpleStyleableIntegerProperty`, `SimpleStyleableLongProperty`, `StyleableDoubleProperty`, `StyleableFloatProperty`, `StyleableIntegerProperty`, `StyleableLongProperty`

      public interface WritableNumberValue
      extends WritableValue<Number>

  A tagging interface that marks all sub-interfaces of `WritableValue` that wrap a number.
  Since:
    JavaFX 2.0
  See Also:
    `WritableValue`, `WritableDoubleValue`, `WritableFloatValue`, `WritableIntegerValue`, `WritableLongValue`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`